Skip to main content
PATCH
/
teams
/
{team_id}
Update a team
curl --request PATCH \
  --url https://api.stack-auth.com/api/v1/teams/{team_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_read_only_metadata": {
    "key": "value"
  },
  "server_metadata": {
    "key": "value"
  },
  "display_name": "My Team",
  "profile_image_url": "https://example.com/image.jpg",
  "client_metadata": {
    "key": "value"
  }
}
'
{
  "created_at_millis": 1630000000000,
  "id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
  "display_name": "My Team",
  "server_metadata": {
    "key": "value"
  },
  "profile_image_url": "https://example.com/image.jpg",
  "client_metadata": {
    "key": "value"
  },
  "client_read_only_metadata": {
    "key": "value"
  }
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

team_id
string
required

Body

application/json
client_read_only_metadata
object

Client read-only, server-writable metadata. Used as a data store, accessible from the client side. Do not store information that should not be exposed to the client. The client can read this data, but cannot modify it. This is useful for things like subscription status.

Example:
{ "key": "value" }
server_metadata
object

Server metadata. Used as a data store, only accessible from the server side. You can store secret information related to the team here.

Example:
{ "key": "value" }
display_name
string

Human-readable team display name. This is not a unique identifier.

Example:

"My Team"

profile_image_url
string

URL of the profile image for team. Can be a Base64 encoded image. Must be smaller than 100KB. Please compress and crop to a square before passing in.

Example:

"https://example.com/image.jpg"

client_metadata
object

Client metadata. Used as a data store, accessible from the client side. Do not store information that should not be exposed to the client.

Example:
{ "key": "value" }

Response

200 - application/json

Successful response

created_at_millis
number
required

The time the team was created (the number of milliseconds since epoch, January 1, 1970, UTC)

Example:

1630000000000

id
string
required

The unique identifier of the team

Example:

"ad962777-8244-496a-b6a2-e0c6a449c79e"

display_name
string
required

Human-readable team display name. This is not a unique identifier.

Example:

"My Team"

server_metadata
object

Server metadata. Used as a data store, only accessible from the server side. You can store secret information related to the team here.

Example:
{ "key": "value" }
profile_image_url
string

URL of the profile image for team. Can be a Base64 encoded image. Must be smaller than 100KB. Please compress and crop to a square before passing in.

Example:

"https://example.com/image.jpg"

client_metadata
object

Client metadata. Used as a data store, accessible from the client side. Do not store information that should not be exposed to the client.

Example:
{ "key": "value" }
client_read_only_metadata
object

Client read-only, server-writable metadata. Used as a data store, accessible from the client side. Do not store information that should not be exposed to the client. The client can read this data, but cannot modify it. This is useful for things like subscription status.

Example:
{ "key": "value" }